import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const HintTitle = /*@__PURE__*/ proxyCustomElement(class HintTitle extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        const block = BEM.block('hint');
        const elContent = block.element('content');
        const elTitle = elContent.element('title');
        const elHeading = elTitle.element('heading');
        return (h(Host, { key: '6304fd03629ecdbaeff48777da6e9950a02e02bf', class: Object.assign({}, elTitle.class()) }, h("h3", { key: '5cdfc4c2319f7b8b17f23d02aeae7cbc534134af', class: Object.assign({}, elHeading.class()) }, h("span", { key: '6e5ce498f0574fe356778d87fb98f59b446bd8e3' }, h("slot", { key: '9604fad3ee38908e2a51ab295e7d17dad7b3d7fc' })))));
    }
}, [260, "bal-hint-title"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-hint-title"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-hint-title":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, HintTitle);
            }
            break;
    } });
}

export { HintTitle as H, defineCustomElement as d };
